.NET Tutorials, Forums, Interview Questions And Answers
Welcome :Guest
Sign In
Win Surprise Gifts!!!

Top 5 Contributors of the Month
Gaurav Pal
Post New Web Links

installing .NET Micro Framework on chip flash

Posted By:      Posted Date: October 12, 2010    Points: 0   Category :.NET Framework


I'm starting with a project where i have to adapt a custom .Net Micro Framework in a microprocessor.
I have the EMX Development system v1.3 with the LPC2478 on it.

My question is how do I install NET MF in the onchip flash of the LPC2478 without the use of any other external ram\flash?

I have visual studio 2008 with the porting kit and NETMF SDK 3.0. (For some reason SDK 4.0 couldn't install)


View Complete Post

More Related Resource Links

KB951847 update requested after installing .NET Framework 3.5 SP1 (Full Package)

Situation - After performing a fresh install of XP Professional with the following,the Microsoft Windows Update Service prompts for download and install of KB951847.Win-XP-Pro  SP2 - new installWin-XP-Pro  SP3 - updateWindows IE-7 - install.NET Framework 3.5 SP1 (Full Package)When I start the Microsoft Update Service to obtain patches, I am prompted to download and install (KB951847) which is a 69.2 MB download.  My homesystem is on a dial-up line (4-10 hours of connect time).  My work locationhas a 100 MB connection to Internet.  This KB appers to be an update thatshould have been included in the .NET Framework 3.5 SP1 (Full Package).Documentation for KB951847 states that this is the .NET Framework 3.5 SP1.Is this KB already installed with .NET Framework 3.5 SP1 (Full Package)?If Yes - How do I tell Microsoft Windows Update to ignore the install of:KB951847Otherwise, How do I obtain the 69.2 MB file for KB951847 using my Internetat work so I can take a CDROM home for install?Looking at other documentation, I have not installed the following KBsafter installing .NET Framework 3.5 SP1 (Full Package).  Do these needto be installed in order to satisfy the KB951847 via Windows Update?  KB958481 Update for .NET Framework 2.0 Service Pack 2  KB958483 Update for .NET Framework 3.0 Service Pack 2  KB958484 Update for .NET Framework

Problem Installing .Net Framework Version 4.0

I am trying to install .net 4 on my Vista business machine SP2. It however continually fails with "class not registered" error. No matter what i try and do i cannot get it to install. Has anyone come across this error before, was there a resolution? I need this to be able to install VS2010 on my machine.   Thankyou

Installing .NET Framework 3.5 without checking certificates - Registry Key ?

Hallo, could you tell me, how to install .NET Framework 3.5 without checking certificates? For each check there should be access to the internet. But during installation I don't have access to the internet. We want to install automatically and in a very quick manner! EAMuecke  

Installing .NET Framework 3.0 x64

Hi There, I'm trying to install the .NET Framework 3.0 x64 bit and i keep on getting the following error :- [12/14/06,14:51:45] WIC x64 Installer: [2] Error code 1603 for this component means "Fatal error during installation."[12/14/06,14:51:45] WIC x64 Installer: [2] Setup Failed on component WIC x64 Installer[12/14/06,14:52:15] WapUI: [2] DepCheck indicates WIC x64 Installer is not installed.[12/14/06,15:14:52] MSXML 6.0 Parser [x64]: [2] Failed to fetch setup file in CBaseComponent::PreInstall()[12/14/06,15:14:52] setup.exe: [2] ISetupComponent::Pre/Post/Install() failed in ISetupManager::InternalInstallManager() with HRESULT -2147467260.[12/14/06,15:14:52] setup.exe: [2] CSetupManager::RunInstallPhase() - Call to Pre/Install/Post for InstallComponents failed[12/14/06,15:14:52] setup.exe: [2] CSetupManager::RunInstallPhaseAndCheckResults() - RunInstallPhase() returned a NULL piActionResults[12/14/06,15:14:52] setup.exe: [2] CSetupManager::RunInstallFromList() - RunInstallPhaseAndCheckResults failed [2][12/14/06,15:14:52] setup.exe: [2] ISetupManager::RunInstallLists(IP_PREINSTALL failed in ISetupManager::RunInstallFromThread()[12/14/06,15:14:52] setup.exe: [2] ISetupManager::RunInstallFromThread() failed in ISetupManager::RunInstall()[12/14/06,15:14:52] setup.exe: [2] CSetupManager::Run() - Call to RunInstall() failed[12/14/06,15:14:52] WapUI: [2] DepCheck indica

Installing .NET Framework Version 1.1 Redistributable and .NET framework 2.0



I am trying to install .NET Framework Version 1.1 Redistributable or .NET framework 2.0 packages, but both of them are sending an error. My OS is Windows 7 with 64-bit. Version 1.1 says it can't be installed due to incompatibility and version 2.0 rejects 64-bit OS.

I am keen on installing especially these packages in order to run EditVoicePack for Flight Simluator 2004. Is there any options I can install it or it simply doesn't work with Windows7 64-bit system?



Error in installing .Net framework 3.5 and 3.5 SP1 on Windows XP

Hi all,

I tried to install .Net framework 3.5 downloaded from microsoft on a Windows XP  SP2 machine.
With .Net Framework Verifier, I verified the frameworks 1.1. SP1 and 2.0 SP2 and 3.0 SP2 to be OK.

The framework 3.5 installs without error message.
However, the verification gives an error:
[04/23/09,17:14:42] Detected operating system: Windows XP (x86)
[04/23/09,17:14:53] File C:\WINDOWS\Microsoft.NET\Framework\v3.0\WPF\XamlViewer\XamlViewer_v0300.exe is not installed on the system
[04/23/09,17:14:53] File C:\WINDOWS\Microsoft.NET\Framework\v3.0\WPF\XamlViewer\XamlViewer_v0300.exe.manifest is not installed on the system
[04/23/09,17:14:53] File C:\WINDOWS\Microsoft.NET\Framework\v3.0\WPF\XamlViewer\XamlViewer_v0300.xbap is not installed on the system
[04/23/09,17:14:54] Verification failed for product .NET Framework 3.5

Then the installation of Framework 3.5 SP1 breaks off with the following error:

[04/23/09,17:45:59] Microsoft .NET Framework 3.5 'package': [2] Error: Installation failed for component Microsoft .NET Framework 3.5 'package'. MSI returned error code 1603
[04/23/09,17:46:17] WapUI: [2] DepCheck indicates Microsoft .NET Framework 3.5 'package' is not installed.

any help appreciated


Error when installing Net framework 3.5


Hello there,

Today I tried installing Visual Studio 2008 Express Edition which sadly required 3.5 net framework to work, and got an error saying that an error has occured while installing the net framework. I tried searching the internet for solutions to the problem and noticed that there were many similar problems but I couldn't find any that matched mine so here am I asking for help.

I tried completely uninstalling the net framework I had (2.0) using the Cleanup tool mentioned in another forum post. After that I tried installing the net frame again and I still got the error. 

In another forum post I read about this Log Tool that checked my problem. I ran it and here is what I got:
dd_dotnetfx35error.txt: [10/03/10,17:47:52] WIC Installer: [2] Error code 1603 for this component means "Fatal error during installation."
                                   [10/03/10,17:47:53] WIC Installer: [2] Setup Failed on component WIC Installer
                                   [10/03/10,17:48:04] Wa

problem installing .net framework 3.0 SP1 (x86)

Here is what the error msgs say:

[02/24/10,16:02:53] Microsoft .NET Framework 3.0a: [2] Error: Installation failed for component Microsoft .NET Framework 3.0a. MSI returned error code 1603

[02/24/10,16:04:35] Microsoft .NET Framework 3.0SP1 x86: [2] Error code 1603 for this component means "Fatal error during installation.


[02/24/10,16:04:36] Microsoft .NET Framework 3.0SP1 x86: [2] Setup Failed on component Microsoft .NET Framework 3.0SP1 x86

[02/24/10,16:04:46] WapUI: [2] DepCheck indicates Microsoft .NET Framework 3.0SP1 x86 is not installed.

I have to install this in order to install the software for my external dvd recorder.  It was one of 4 programs that had to be installed, and the only one that didn't automatically.  So I went to the Microsoft site and tried downloading it myself.  Same deal, with the above error msgs.  Help!

Error 25015 while installing .NET Framework 2.0


Hi there,

I try to install .Net Framework 2.0 and encounter this error :

Error 25015.Failed to  install assembly

'C:\WINDOWS\Microsoft.NET\Framework\v2.0.50727\Microsoft.VisualBasic.VSA.dll' because of system error: The filename, directory name, or volume label setup syntax is incorrect.

Please help!

Problem Installing Microsoft .NET Framework 4 on Vista Ultimate



I am running a Dell XPS m1530 and have been having trouble installing Framework 4 for the last while. I have been through every forum i could find and used every FixIt and tried every piece of advice, but none have worked. I have reset WU, tried to manually and automatically update, from normal and safe mode.

Here is the end of the error log i got from my latest attempt:

[10/20/2010, 23:56:16]Signature verification succeeded for netfx_Extended_x86.msi
[10/20/2010, 23:56:16]Download succeeded at attempt 1 of 4 for http://go.microsoft.com/fwlink/?LinkId=164180&clcid=0x409 using BITS
[10/20/2010, 23:56:16] Action complete
[10/20/2010, 23:56:16]Final Result: Installation failed with error code: (0x00000026), "Reached the end of the file. " (Elapsed time: 0 00:01:33).

I dont know what else to do, some help would be greatly appreciated.


Net Framework 4 Installing Issue from Windows Update


I just installed Windows 7 Ultimate X64 and ran windows auto updates everthing was going Great.  I have three harddrives  my primary Boot drive is C:\. My D: drive is for Music, Movies, Pictures and Documents only!. My E: drive is my backup for my D: drive. After going to work on my D: drive, I found a folder named F08297bd2a422d924c I checked it out and it is Net Framework 4. It is not on my C: drive.  Is'nt this is suppose to be on C: drive. Please let me know if I have to uninstall it and let me know how do I install it on my C: drive when it does not give you a chance to change the install drive when it is Windows Auto Updates.

Thanks for your Help


Embedded Programming: Connected Devices Using the .NET Micro Framework


Learn how .NET Framework programmers can now easily develop apps for the increasing number of small devices that are becoming interconnected-while you build your very own bicycle computer!

Colin Miller

MSDN Magazine October 2010

installing print shop deluxe, need .net framework v1.1


I'm trying to install the print shop deluxe v23 on my home computer and it keeps telling me I need the .net framework v1.1 in order to run the print shop program. I have windows vista on my computer. I have tried installing the .net framework v1.1 on my computer but when I do, it says "the software has known incompatibility with IIS services on this platform." I try to check for solutions online but it says that none exist.

I'm not very computer literate so I need help figuring out how to make my computer compatible with the framework needed to run print shop. please help!

Installing .Net Framework 3.5 onto Windows 7 Ultimate



I have Windows 7 Ultimate installed with SQLServer 2008 and Visual Studio 2010.

.Net Framework 4 - Client Profile, Extended and Multi-targeting pack are also installed.

All is working just fine!


I need to install .Net Framework 3.5 plus the SP1 for an earlier project and tools that target 3.5 AND I have no way to change that.

When I run the dotNetFx35setup.exe, it seams to start then just disappears. No error message or anything else.

I assume there is a conflict in installing an old version of .Net framework (3.5) with the latest (4.0) already installed.

Please advise.


Microsoft Visual C++ Runtime Library Error when installing .NET Framework 4.0


For some reason I'm unable to install .NET Framework 4.0. I downloaded the stand-alone install file from Microsoft Download Centre after the web installer didn't work but it still doesn't work. Next I tried removing all the previous installatiosn of .NET Framework using the Cleanup Tool found on here - http://blogs.msdn.com/b/astebner/archive/2008/08/28/8904493.aspx - and clearing the TEMPS folder but it didn't change anything.

Every time I try to install .NET Framework 4.0 I get this message:

"Microsoft Visual C++ Runtime Library

Runtime Error!

This application has requested the Runtime to terminate it in an unusual way. Please contact the application's support team for more information."

Trouble installing .NET Framework Updates


Automatic updates tries to but fails to install these three .NET Framework 3.5 SP! Updates ..... (KB982168), (KB982524), and (KB951847). 

I have:

  • Framework 1.1 plus a security update
  • Framework 2.0 SP2
  • Framework 3.0 SP2
  • Framework 3.5 SP1, with hotfix (KB958484), Update (KB963707), and Hotfix (KB953595)
  1. Would it help and can I uninstall 1.1, 2.0, and 3.0?
  2. Would it help to locate and install .NET Framework 4.0?

I am running a Dell XPS M1730 on Windows XP Service Pack 3, and maybe fifty security updates up to the last I installed on 6/9/2010

Get error code 1603:Error installing Microsoft.net framework. What is this?

Installing software for kids game. Disc won't install. Get this pop up: Error 1603: Error installing Microsoft.net framework. Game people say this is not their problem but one with microsoft. Went to their website and got lost. Any help identifying code and what to do would be appreciated.

ASP.NetWindows Application  .NET Framework  C#  VB.Net  ADO.Net  
Sql Server  SharePoint  Silverlight  Others  All   

Hall of Fame    Twitter   Terms of Service    Privacy Policy    Contact Us    Archives   Tell A Friend